[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tmatrix2_double): Tmatrix4_single

Allow assignment of two-dimensional double precision matrix to four-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 469

`operator operator :=(Tmatrix2_double): Tmatrix4_single(`
`const v: Tmatrix2_double`
`):Tmatrix4_single;`

## Description

This operator allows you to use a two-dimensional matrix with double precision values wherever a four-dimensional matrix with single precision is expected. The extra fields are set to 0 and some precision is lost because of the conversion.

Documentation generated on: Feb 26 2014